# Update block.

Update block.

Endpoint: PUT /blocks/{block_id}
Version: 1.0.0
Security: Token

## Path parameters:

  - `block_id` (string, required)
    The ID of a block. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

## Response 200 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "success"

  - `data` (object)
    A calendar event.

  - `data.id` (string)
    The ID of the calendar event.
    Example: "123e4567-e89b-12d3-a456-426614174000"

  - `data.type` (string)
    The type of the calendar event.
    Enum: "APPOINTMENT", "CALENDAR_BLOCK", "EXTERNAL", "BUFFER", "DECLINED_APPOINTMENT", "UNSCHEDULED_APPOINTMENT"

  - `data.title` (string)
    The title of the calendar event.
    Example: "Other appointment"

  - `data.description` (string,null)
    The description of the calendar event.
    Example: "sdjsudsudsds"

  - `data.start_at` (string,null)
    The start time of the calendar event (ISO 8601 format).
    Example: "2020-10-04T12:15:00Z"

  - `data.end_at` (string,null)
    The end time of the calendar event (ISO 8601 format).
    Example: "2020-10-04T12:30:00Z"

  - `data.is_all_day` (boolean)
    Is the calendar event all day?
    Example: true

  - `data.duration` (integer)
    The duration of the calendar event in minutes.
    Example: 60

  - `data.is_busy` (boolean)
    Is the calendar event busy?
    Example: true

  - `data.requires_confirmation` (boolean)
    Does the calendar event require confirmation?
    Example: true

  - `timestamp` (string,null)
    The request timestamp (ISO 8601).
    Example: "2021-06-30T20:30:00Z"

## Response 404 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 404

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


